<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="(datasets$ | async) ?? [] as datasets">
  <app-marketplace-table [data]="datasets" emptyMessage="No Datasets">
    <ng-template #preview let-dataset>
      <app-dataset-preview [dataset]="dataset"></app-dataset-preview>
    </ng-template>
  </app-marketplace-table>
</ng-container>
